const APP_NAME				= "MozRefSidebar";
const APP_CHROME_NAME		= "mozrefsidebar";
const APP_VERSION			= "0.5";
const APP_FILE 				= "mozrefsidebar.jar";
const APP_CONTENST_PATH		= "content/mozrefsidebar/";
const APP_SKIN_CLASSIC_PATH	= "skin/classic/mozrefsidebar/";
const APP_LOCALE_ENUS_PATH	= "locale/en-US/mozrefsidebar/";

const SUCCESS_MSG 		= "The "+APP_NAME+" has been successfully installed.";
const SUCCESS_MSG2		= "Please restart MozillaFirebird/fox."

var err = initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 

var folder = getFolder("Current User", "chrome");
setPackageFolder(folder);
addFile(APP_NAME, "chrome/"+APP_FILE, folder, "");
var chromeFolder = getFolder(folder, APP_FILE);

registerChrome(CONTENT | PROFILE_CHROME, chromeFolder, APP_CONTENST_PATH);
registerChrome(SKIN | PROFILE_CHROME, chromeFolder, APP_SKIN_CLASSIC_PATH);
registerChrome(LOCALE | PROFILE_CHROME, chromeFolder, APP_LOCALE_ENUS_PATH);

if(err == SUCCESS){
	performInstall();
	alert(SUCCESS_MSG + "\n" + SUCCESS_MSG2);
}else{
	cancelInstall(err);
}
